Bug 8368 - Check/restore one-click reviewer access
Check/restore one-click reviewer access
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Reviewers
3.0b
All All
: P3 normal
Assigned To: Michael Thessel
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 13:26 PDT by Alec Smecher
Modified: 2013-08-29 19:33 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2013-08-09 13:26:11 PDT
Check/restore one-click reviewer access, which is almost certainly not working at the moment.
Comment 1 Alec Smecher 2013-08-16 16:00:11 PDT
In OJS 2.x, there's a setting in Journal Setup (reviewerAccessKeysEnabled, on setup page 2) that, when enabled, causes review assignment emails to include URLs that bypass the login process. It also causes an alternate set of review emails to be used that describes the slightly different process. This mode is useful as reviewers rarely visit the journal except when asked and will frequently lose/forget login credentials; it needs to be dusted off and fixed for OJS 3.x.
Comment 2 Michael Thessel 2013-08-19 20:01:31 PDT
At the moment one click access can be enabled through Management > Settings > Workflow > Review. In 2.x this was part of the journal's policy settings. I guess we don't need to duplicate it and having it as part of the workflow settings is sufficient?
Comment 3 Alec Smecher 2013-08-20 07:06:25 PDT
Yes, that setting is the right one. I wasn't sure we had included it yet. It is currently not used, IIRC.
Comment 4 Michael Thessel 2013-08-21 17:25:55 PDT
I added some pull requests:
https://github.com/pkp/ojs/pull/97
https://github.com/pkp/pkp-lib/pull/50

I was running a bit in circles at first trying to implement it the same way it had been in 2.x just to realize that the code has changed so much that I couldn't simply refactor the 2.x implementation. This changes some aspects of the authentication system and should be reviewed thoroughly. My implementation is specific to the reviewer system. I guess I could generalize this even more, I'm not sure if this is necessary though.
Comment 5 Michael Thessel 2013-08-28 14:59:49 PDT
I committed fixes for the issues Bruno found. This should be done now.